ur_rna.RNAstructureUI.drawing.dialogs

## Enum StructureDialog.DrawOptions

- java.lang.Object
- - java.lang.Enum<StructureDialog.DrawOptions>
  - - ur_rna.RNAstructureUI.drawing.dialogs.StructureDialog.DrawOptions

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StructureDialog.DrawOptions>
  Enclosing class:
    StructureDialog

      public static enum StructureDialog.DrawOptions
      extends java.lang.Enum<StructureDialog.DrawOptions>

  Enum that provides choices for backbone rendering style: Normal (Radial) flat (linear) or circular.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CIRCULAR`
    `FLAT`
    `FLIPPED`
    `NORMAL`
    `UNCIRCLED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StructureDialog.DrawOptions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StructureDialog.DrawOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CIRCULAR

          public static final StructureDialog.DrawOptions CIRCULAR

    - #### FLAT

          public static final StructureDialog.DrawOptions FLAT

    - #### FLIPPED

          public static final StructureDialog.DrawOptions FLIPPED

    - #### NORMAL

          public static final StructureDialog.DrawOptions NORMAL

    - #### UNCIRCLED

          public static final StructureDialog.DrawOptions UNCIRCLED

  - ### Method Detail

    - #### valueOf

          public static StructureDialog.DrawOptions valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static StructureDialog.DrawOptions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StructureDialog.DrawOptions c : StructureDialog.DrawOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared